## Class TScaffoldSearch

Description

TScaffoldSearch provide a simple textbox and a button that is used to perform search on a TScaffoldListView with ID given by setListViewID.

The SearchText property is a TTextBox and the SearchButton property is a TButton with label value "Search".

Searchable fields of the Active Record can be restricted by specifying a comma delimited string of allowable fields in the SearchableFields property. The default is null, meaning that most text type fields are searched (the default searchable fields are database dependent).

- since: 3.1
- version: $Id$
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Data/ActiveRecord/Scaffold/TScaffoldSearch.php (line 36)

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TCompositeControl
                |
                --TTemplateControl
                   |
                   --TScaffoldBase
                      |
                      --TScaffoldSearch

Method Summary
void bubbleEvent (mixed $sender, mixed $param)
string createSearchCondition ()
array getFields ()
TScaffoldListView getListView ()
string getListViewID ()
string getSearchableFields ()
TButton getSearchButton ()
TTextBox getSearchText ()
void setListViewID (string $value)
void setSearchableFields (string $value)
Methods
bubbleEvent (line 77)

Sets the SearchCondition of the TScaffoldListView as the search terms given by the text of the search text box.

- access: public

void bubbleEvent (mixed $sender, mixed $param)

Redefinition of:

TControl::bubbleEvent()
  This method responds to a bubbled event.

createSearchCondition (line 94)

- return: the search criteria for the search terms in the search text box.
- access: protected

string createSearchCondition ()
getFields (line 107)

- return: list of fields to be searched.
- access: protected

array getFields ()
getListView (line 46)

- return: the scaffold list view this search box belongs to.
- access: protected

TScaffoldListView getListView ()
getListViewID (line 68)

- return: ID of the TScaffoldListView this search control belongs to.
- access: public

string getListViewID ()
getSearchableFields (line 119)

- return: comma delimited list of fields that may be searched.
- access: public

string getSearchableFields ()
getSearchButton (line 135)

- return: button with default label "Search".
- access: public

TButton getSearchButton ()
getSearchText (line 144)

- return: search text box.
- access: public

TTextBox getSearchText ()
setListViewID (line 60)

- access: public

void setListViewID (string $value)

- string $value: ID of the TScaffoldListView this search control belongs to.

setSearchableFields (line 127)

- access: public

void setSearchableFields (string $value)

- string $value: comma delimited list of fields that may be searched.

#### Inherited Methods

Inherited From TScaffoldBase

> TScaffoldBase::clearRecordObject()
> TScaffoldBase::copyFrom()
> TScaffoldBase::getDefaultStyle()
> TScaffoldBase::getEnableDefaultStyle()
> TScaffoldBase::getRecordClass()
> TScaffoldBase::getRecordFinder()
> TScaffoldBase::getRecordObject()
> TScaffoldBase::getRecordPkValues()
> TScaffoldBase::getRecordPropertyValues()
> TScaffoldBase::getTableInfo()
> TScaffoldBase::onPreRender()
> TScaffoldBase::setDefaultStyle()
> TScaffoldBase::setEnableDefaultStyle()
> TScaffoldBase::setRecordClass()
> TScaffoldBase::setRecordObject()

Inherited From TTemplateControl

> TTemplateControl::createChildControls()
> TTemplateControl::getIsSourceTemplateControl()
> TTemplateControl::getMaster()
> TTemplateControl::getMasterClass()
> TTemplateControl::getTemplate()
> TTemplateControl::getTemplateDirectory()
> TTemplateControl::initRecursive()
> TTemplateControl::injectContent()
> TTemplateControl::loadTemplate()
> TTemplateControl::registerContent()
> TTemplateControl::registerContentPlaceHolder()
> TTemplateControl::setMasterClass()
> TTemplateControl::setTemplate()

Inherited From TCompositeControl

> TCompositeControl::initRecursive()

Inherited From TControl

> TControl::__construct()
> TControl::addedControl()
> TControl::addParsedObject()
> TControl::addToPostDataLoader()
> TControl::applyStyleSheetSkin()
> TControl::autoBindProperty()
> TControl::autoDataBindProperties()
> TControl::bindProperty()
> TControl::broadcastEvent()
> TControl::bubbleEvent()
> TControl::clearChildState()
> TControl::clearControlState()
> TControl::clearNamingContainer()
> TControl::clearViewState()
> TControl::convertUniqueIdToClientId()
> TControl::createChildControls()
> TControl::createControlCollection()
> TControl::dataBind()
> TControl::dataBindChildren()
> TControl::dataBindProperties()
> TControl::ensureChildControls()
> TControl::findControl()
> TControl::findControlsByID()
> TControl::findControlsByType()
> TControl::focus()
> TControl::getAdapter()
> TControl::getAllowChildControls()
> TControl::getAttribute()
> TControl::getAttributes()
> TControl::getChildControlsCreated()
> TControl::getClientID()
> TControl::getControls()
> TControl::getControlStage()
> TControl::getControlState()
> TControl::getCustomData()
> TControl::getEnabled()
> TControl::getEnableTheming()
> TControl::getEnableViewState()
> TControl::getHasAdapter()
> TControl::getHasAttributes()
> TControl::getHasChildInitialized()
> TControl::getHasControls()
> TControl::getHasInitialized()
> TControl::getHasLoaded()
> TControl::getHasLoadedPostData()
> TControl::getHasPreRendered()
> TControl::getID()
> TControl::getNamingContainer()
> TControl::getPage()
> TControl::getParent()
> TControl::getRegisteredObject()
> TControl::getSkinID()
> TControl::getSourceTemplateControl()
> TControl::getTemplateControl()
> TControl::getUniqueID()
> TControl::getViewState()
> TControl::getVisible()
> TControl::hasAttribute()
> TControl::initRecursive()
> TControl::isDescendentOf()
> TControl::isObjectRegistered()
> TControl::loadRecursive()
> TControl::loadState()
> TControl::loadStateRecursive()
> TControl::onDataBinding()
> TControl::onInit()
> TControl::onLoad()
> TControl::onPreRender()
> TControl::onUnload()
> TControl::preRenderRecursive()
> TControl::raiseBubbleEvent()
> TControl::registerObject()
> TControl::removeAttribute()
> TControl::removedControl()
> TControl::render()
> TControl::renderChildren()
> TControl::renderControl()
> TControl::saveState()
> TControl::saveStateRecursive()
> TControl::setAdapter()
> TControl::setAttribute()
> TControl::setChildControlsCreated()
> TControl::setControlStage()
> TControl::setControlState()
> TControl::setCustomData()
> TControl::setEnabled()
> TControl::setEnableTheming()
> TControl::setEnableViewState()
> TControl::setID()
> TControl::setPage()
> TControl::setSkinID()
> TControl::setTemplateControl()
> TControl::setViewState()
> TControl::setVisible()
> TControl::trackViewState()
> TControl::traverseChildControls()
> TControl::unbindProperty()
> TControl::unloadRecursive()
> TControl::unregisterObject()
> TControl::__get()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Class Constants

#### Inherited Constants

Inherited from TTemplateControl

> TTemplateControl::EXT_TEMPLATE

Inherited from TControl

> TControl::AUTOMATIC_ID_PREFIX
> TControl::CLIENT_ID_SEPARATOR
> TControl::CS_CHILD_INITIALIZED
> TControl::CS_CONSTRUCTED
> TControl::CS_INITIALIZED
> TControl::CS_LOADED
> TControl::CS_PRERENDERED
> TControl::CS_STATE_LOADED
> TControl::ID_FORMAT
> TControl::ID_SEPARATOR
> TControl::IS_CHILD_CREATED
> TControl::IS_CREATING_CHILD
> TControl::IS_DISABLE_THEMING
> TControl::IS_DISABLE_VIEWSTATE
> TControl::IS_ID_SET
> TControl::IS_SKIN_APPLIED
> TControl::IS_STYLESHEET_APPLIED
> TControl::RF_ADAPTER
> TControl::RF_AUTO_BINDINGS
> TControl::RF_CHILD_STATE
> TControl::RF_CONTROLS
> TControl::RF_CONTROLSTATE
> TControl::RF_DATA_BINDINGS
> TControl::RF_EVENTS
> TControl::RF_NAMED_CONTROLS
> TControl::RF_NAMED_CONTROLS_ID
> TControl::RF_NAMED_OBJECTS
> TControl::RF_SKIN_ID

Documentation generated on Mon, 21 Apr 2008 11:36:08 -0400 by phpDocumentor 1.3.0RC4